package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Calium;
import com.caliverse.admin.domain.request.CaliumRequest;

import java.util.List;
import java.util.Map;


public interface CaliumMapper {

    List<Calium> getCaliumRequestList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    double  getCaliumTotal();
    Calium getCaliumRequestDetail(Long id);
    int postCaliumRequest(CaliumRequest caliumRequest);

    int updateStatusCaliumRequest(Map map);

    List<Calium> getScheduleCaliumRequest();
}
